# kdefx Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCPUInfo Class Reference

This class provides a means for applications to obtain information at runtime about processor support for certain architecture extensions, such as MMX, SSE, 3DNow and AltiVec. More...

`#include <kcpuinfo.h>`

List of all members.

## Public Types

enum | Extensions { IntelMMX = 1 << 0, IntelSSE = 1 << 1, IntelSSE2 = 1 << 2, AMD3DNOW = 1 << 3, AltiVec = 1 << 4 }

## Static Public Member Functions

static bool | haveExtension (unsigned int extension)

## Detailed Description

This class provides a means for applications to obtain information at runtime about processor support for certain architecture extensions, such as MMX, SSE, 3DNow and AltiVec.

Since:
  3.2

Definition at line 39 of file kcpuinfo.h.

## Member Enumeration Documentation

enum KCPUInfo::Extensions

This enum contains the list of architecture extensions you can query.

Enumeration values:

  IntelMMX | Intel's MMX instructions.
  IntelSSE | Intel's SSE instructions.
  IntelSSE2 | Intel's SSE2 instructions.
  AMD3DNOW | AMD 3DNOW instructions.
  AltiVec | Motorola AltiVec instructions.

Definition at line 46 of file kcpuinfo.h.

## Member Function Documentation

static bool KCPUInfo::haveExtension | ( | unsigned int | extension | ) | `[inline, static]`

Returns true if the processor supports `extension`, and false otherwise.

Parameters:

  | extension | the feature to query.

Returns:
  If true, the processor supports `extension`.

See also:
  Extensions

Definition at line 62 of file kcpuinfo.h.

Referenced by KImageEffect::intensity().

The documentation for this class was generated from the following files:

- kcpuinfo.h
- kcpuinfo.cpp

This file is part of the documentation for kdefx Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:17:10 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003